Loading...
Searching...
No Matches
RDKit::Canon::detail Namespace Reference

## Functions

void | initFragmentCanonAtoms (const ROMol &mol, std::vector< Canon::canon_atom > &atoms, bool includeChirality, const std::vector< std::string > *atomSymbols, const std::vector< std::string > *bondSymbols, const boost::dynamic_bitset<> &atomsInPlay, const boost::dynamic_bitset<> &bondsInPlay, bool needsInit)
template<typename T >
void | rankWithFunctor (T &ftor, bool breakTies, int *order, bool useSpecial=false, bool useChirality=false, const boost::dynamic_bitset<> *atomsInPlay=nullptr, const boost::dynamic_bitset<> *bondsInPlay=nullptr)

## Function Documentation

## initFragmentCanonAtoms()

void RDKit::Canon::detail::initFragmentCanonAtoms | ( | const ROMol & | mol,
|  | std::vector< Canon::canon_atom > & | atoms,
|  | bool | includeChirality,
|  | const std::vector< std::string > * | atomSymbols,
|  | const std::vector< std::string > * | bondSymbols,
|  | const boost::dynamic_bitset<> & | atomsInPlay,
|  | const boost::dynamic_bitset<> & | bondsInPlay,
|  | bool | needsInit
| ) |  |

## rankWithFunctor()

template<typename T >

void RDKit::Canon::detail::rankWithFunctor | ( | T & | ftor,
|  | bool | breakTies,
|  | int * | order,
|  | bool | useSpecial = `false`,
|  | bool | useChirality = `false`,
|  | const boost::dynamic_bitset<> * | atomsInPlay = `nullptr`,
|  | const boost::dynamic_bitset<> * | bondsInPlay = `nullptr`
| ) |  |